#include <stdint.h>

/// Initialize library, if necessary
int cbs_init(void);
/// Wrap a running process into a server with supplied params
int cbs_transform(uint32_t q, uint32_t t);
/// Retrieve server scheduling params
int cbs_get(int pid, uint32_t *q, uint32_t *p, int *l);
/// Retrieve server lateness
int32_t cbs_howlate(int pid);
/// Set server scheduling params
int cbs_set(int pid, uint32_t q, uint32_t t);
