#ifndef _LFS_POWER_H
#define _LFS_POWER_H

enum function {
	SINE,
	AGGRESSIVE,
	PASSIVE,
	LEAPS
};

int lfs_setup_power(enum function f, int hw, int lw);
void lfs_shutdown_power(void);

int lfs_validate_speed(unsigned long curr_speed, unsigned long speed);
void lfs_update_speed(unsigned long curr_speed, unsigned long speed);

#endif
